.section {
  display: block;
  margin-top: 150px;
  margin-bottom: 50px;
  margin-left: 200px;
  margin-right: 200px;
}

.section-header {
  font-size: 50px;
  margin-bottom: 10px;
}

section-dot {
  display: none;
  margin: 0 auto;
  margin-top: 20px;
  width: 16px;
  height: 16px;
  background-color: var(--font);
  border-radius: 50%;
  aspect-ratio: 1/1;
}

.redacted-content {
  background-color: var(--background);
  border-radius: 30px;
  padding-left: 5px;
  padding-right: 5px;
  padding-bottom: 2px;
  padding-top: 2px;
  font-size: 14px;
}

/* INFO: Home Section */
#home {
  display: block;
  height: 100vh;
  margin-left: 50px;
}

hero-section {
  display: flex;
  align-items: center;
  height: 100%;
}

hero-content {
  width: 55%;
  margin-left: 10px;
}

.hero-header {
  font-size: 60px;
  margin-bottom: 20px;
}

/* INFO: History Section */
timeline {
  display: flex;
  flex-direction: column;
  border-left: 5px solid var(--font);
  margin-left: 30px;
  margin-bottom: 50px;
  row-gap: 30px;
  width: 100%;
}

timeline-section {
  display: flex;
  align-items: center;
  margin-right: 30px;
  margin-left: -10px;
  column-gap: 30px;
}

timeline-dot {
  display: block;
  width: 16px;
  height: 16px;
  background-color: var(--font);
  border-radius: 50%;
  aspect-ratio: 1/1;
}

timeline-block {
  display: flex;
  flex-direction: column;
  background: var(--dim-blur);
  backdrop-filter: blur(20px);
  padding: 30px;
  border-radius: 25px;
  width: 100%;
}

timeline-block-header {
  font-size: 30px;
  font-weight: bold;
  margin-bottom: 10px;
}

timeline-block-desc {
  font-size: 18px;
  margin-bottom: 10px;
}

timeline-block-desc ul {
  margin-top: 10px;
  margin-bottom: 10px;
  padding-left: 20px;
}

timeline-block-desc li {
  margin-top: 3px;
  margin-bottom: 3px;
}

timeline-block-desc a:link,
timeline-block-desc a:visited,
timeline-block-desc a:hover,
timeline-block-desc a:active {
  text-decoration: underline;
}

/* INFO: Projects Section */
projects-list {
  display: grid;
  margin-top: 30px;
  grid-template-columns: 1fr 1fr;
  column-gap: 40px;
  row-gap: 40px;
}

projects-card {
  display: flex;
  flex-direction: column;
  background: var(--dim-blur);
  backdrop-filter: blur(20px);
  background-repeat: repeat;
  background-position: top;
  border-radius: 30px;
  padding: 35px;
}

projects-card-header {
  font-size: 30px;
  font-weight: bold;
}

projects-card-desc {
  font-size: 18px;
  margin-top: 10px;
}

projects-card-count {
  margin-top: 15px;
  display: flex;
}

projects-card-forks {
  font-size: 18px;
  margin-left: 5px;
}

projects-card-stargazers {
  font-size: 18px;
}

/* INFO: Member Section */
members-list {
  display: grid;
  margin-top: 30px;
  grid-template-columns: 1fr 1fr;
  column-gap: 40px;
  row-gap: 40px;
}

members-card {
  display: flex;
  background: var(--dim-no-blur);
  backdrop-filter: blur(20px);
  background-repeat: repeat;
  background-position: top;
  border-radius: 30px;
}

members-card-wrapper {
  display: flex;
  flex-direction: column;
  border-radius: 30px;
  background-color: var(--dim-no-blur);
  flex: 0.6;
  padding: 30px;
  box-shadow: 
    10px 0px 0px 0px rgba(36, 36, 36, 0.7), 
    20px 0px 0px 0px rgba(36, 36, 36, 0.6), 
    30px 0px 0px 0px rgba(36, 36, 36, 0.5), 
    40px 0px 0px 0px rgba(36, 36, 36, 0.4), 
    50px 0px 0px 0px rgba(36, 36, 36, 0.3), 
    60px 0px 50px -23px rgba(36, 36, 36, 0.2);
}

members-card-header {
  font-size: 30px;
  font-weight: bold;
}

members-card-desc {
  font-size: 18px;
  margin-top: 20px;
}

members-card-social-media {
  margin-top: 20px;
  display: flex;
  column-gap: 10px;
}

members-card[type="rainy"] {
  background-size: 125px;
  background-image: 
    linear-gradient(var(--dim-blur), var(--dim-blur)), 
    url(./assets/deeplunaria/logo_partern.svg);
}

members-card[type="pedro"] {
  background-size: 100px;
  background-image: 
    linear-gradient(var(--dim-blur), var(--dim-blur)), 
    url(./assets/deeplunaria/silly_pedro.svg);
}

members-card[type="lucas"] {
  background-size: 61px;
  background-image: 
    linear-gradient(var(--dim-blur), var(--dim-blur)), 
    url(./assets/ecliptia/ecliptia.svg);
}

members-card[type="tehpig"] {
  background-size: 125px;
  background-image: 
    linear-gradient(var(--dim-blur), var(--dim-blur)), 
    url(./assets/deeplunaria/teh_pig_pattern.svg);
}

members-card[type="nicolas"] {
  background-size: 125px;
  background-image: 
    linear-gradient(var(--dim-blur), var(--dim-blur)), 
    url(./assets/deeplunaria/nicolas_pattern.svg);
}

members-card[type="default"] {
  background-size: 60px;
  background-image: 
    linear-gradient(var(--dim-blur), var(--dim-blur)), 
    url(./assets/3rdparty/icons/default_pattern.svg);
}

/* INFO: Social Media Section */
#social_media {
  margin-bottom: 100px;
}

social-media-list {
  display: grid;
  margin-top: 30px;
  grid-template-columns: 1fr 1fr;
  column-gap: 40px;
  row-gap: 40px;
}

social-media-card {
  display: flex;
  align-items: center;
  background: var(--dim-blur);
  backdrop-filter: blur(20px);
  background-repeat: repeat;
  background-position: top;
  border-radius: 50px;
  padding: 25px;
}

social-media-card-header {
  font-size: 20px;
  font-weight: bold;
}

social-media-card-icon {
  border-radius: 50%;
  padding: 5px;
  border: 2px solid var(--font);
  margin-right: 10px;
}

/* INFO: Footer Section */
footer {
  background-color: var(--dim);
  opacity: 1;
  padding: 30px;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

footer-icons {
  display: flex;
  align-items: center;
  /* row-gap: 20px; */
  margin-bottom: 10px;
}

footer-icons p {
  margin-left: 15px;
  margin-right: 8px;
}


/* INFO: No data card */
no-data-card {
  display: flex;
  flex-direction: column;
  background: var(--dim-blur);
  backdrop-filter: blur(20px);
  background-repeat: repeat;
  background-position: top;
  border-radius: 30px;
  padding: 30px;
}

no-data-card-header {
  font-size: 30px;
  font-weight: bold;
}

no-data-card-desc {
  font-size: 18px;
  margin-top: 10px;
}

/* INFO: Responsive code section */
@media (max-width: 1300px) {
  .section {
    margin-left: 80px;
    margin-right: 80px;
  }
}

@media (max-width: 1000px) {
  .section-header {
    font-size: 40px;
    text-align: center;
  }

  section-dot {
    display: block;
  }

  /* INFO: Home Section */
  #home {
    display: block;
    height: 100vh;
    margin-left: 30px;
    margin-right: 30px;
  }

  hero-content {
    width: 100%;
    margin-left: 0px;
    margin-right: 0px;
  }

  .hero-header {
    font-size: 30px;
    margin-bottom: 20px;
  }

  /* INFO: History Section */
  #history {
    margin-left: 20px;
    margin-top: 50px;
    margin-bottom: 50px;
    width: calc(100% - 20px);
  }

  timeline {
    align-items: center;
    border-left: 0px solid var(--font);
    margin-left: 0px;
  }

  timeline-section {
    flex-direction: column;
    column-gap: 15px;
    margin-left: 10px;
  }

  timeline-dot {
    margin-bottom: 30px;
  }

  timeline-block {
    width: initial;
  }

  timeline-block-header {
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 10px;
  }

  timeline-block-desc {
    font-size: 15px;
    margin-bottom: 10px;
  }

  /* INFO: Projects Section */
  #projects {
    display: block;
    margin-top: 100px;
    margin-bottom: 50px;
    margin-left: 30px;
    margin-right: 30px;
  }

  projects-list {
    grid-template-columns: 1fr;
  }

  /* INFO: Members Section */
  #members {
    display: block;
    margin-top: 100px;
    margin-bottom: 150px;
    margin-left: 30px;
    margin-right: 30px;
  }

  .hero-header[type="members"] {
    font-size: 40px;
  }

  members-list {
    grid-template-columns: 1fr;
  }

  members-card {
    flex-direction: column;
    justify-content: flex-end;
    margin-bottom: 150px;
    height: 100%;
  }

  members-card-wrapper {
    box-shadow: 
      0px -10px 0px 0px rgba(36, 36, 36, 0.7), 
      0px -20px 0px 0px rgba(36, 36, 36, 0.6), 
      0px -30px 0px 0px rgba(36, 36, 36, 0.5), 
      0px -40px 0px 0px rgba(36, 36, 36, 0.4), 
      0px -50px 0px 0px rgba(36, 36, 36, 0.3), 
      0px -60px 50px -23px rgba(36, 36, 36, 0.2);
  }

  /* INFO: Projects Section */
  #social_media {
    display: block;
    margin-top: 100px;
    margin-left: 30px;
    margin-right: 30px;
    margin-bottom: 50px;
  }

  social-media-list {
    grid-template-columns: 1fr;
    row-gap: 30px;
  }


  /* INFO: Footer Section */
  footer {
    align-items: center;
    text-align: center;
    flex-direction: column-reverse;
  }
}

@media (min-width: 1000px) {
  /* INFO: Last odd item */
  members-list > members-card:last-child:nth-child(odd) {
    grid-column: 1 / -1;
    max-width: calc(50% - 15px);
    width: 100%;
    margin: 0 auto;
  }

  social-media-list > a:last-child:nth-child(odd) {
    grid-column: 1 / -1;
    max-width: calc(50% - 15px);
    width: 100%;
    margin: 0 auto;
  }
}

@media (max-width: 400px) {
  projects-card-count {
    flex-direction: column;
    column-gap: 20px;
  }

  projects-card-forks {
    font-size: 18px;
    margin-left: 0px;
    margin-top: 5px;
  }

  projects-card-stargazers {
    font-size: 18px;
  }
}
